// Categores color
$categories: () !default;
$categories: map-merge(
    (
        1: $fac-sciences,
        2: $fac-medecine,
        3: $fac-lettres,
        4: $fac-societe,
        5: $fac-economie,
        6: $fac-droit,
        7: $fac-theologie,
        8: $fac-psychologie,
        9: $fac-traduction,
    ),
    $categories
);

#page-course-index .subcategories,
#page-course-index-category .subcategories,
#page-course-search .subcategories {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    .category .categoryname {
        background-image: none;
        font-size: 1rem;

        a {
            display: flex;
            width: 10rem;
            height: 8rem;
            align-items: center;
            justify-content: center;
            text-align: center;
            margin: $spacer 0;
            padding: $spacer * .5;
            border-style: solid;
            border-radius: $border-radius;
            border-width: $border-width;
        }
    }
}

// .tertiary-navigation .search-course-nav {
//     flex: 1 1 auto;

//     .simplesearchform {
//         width: 100%;
//     }
// }


.course_category_tree {

    .collapsible-actions {
        display: none;
    }

    .category > .info > .categoryname {
        margin: 0;
        padding: 0;
    }
}

div.category[data-rootcategoryid] a {
    color: $primary;
    border-color: $primary;
}

div.category[data-rootcategoryid] a:focus {
    color: darken($primary, 10%);
    background-color: rgba($primary, .2);
    outline: .2rem solid $primary;
    box-shadow: none;
}

@each $category, $fac-color in $categories {
    div.category[data-rootcategoryid="#{$category}"] a {
        color: $fac-color;
        border-color: $fac-color;
    }

    div.category[data-rootcategoryid="#{$category}"] a:focus {
        color: darken($fac-color, 10%);
        background-color: rgba($fac-color, .2);
        outline: .2rem solid $fac-color;
        box-shadow: none;
    }
}
